GNU bug report logs - #14886
Slowdown on font-lock-fontify-buffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Juanma Barranquero <lekktu@HIDDEN>; dated Tue, 16 Jul 2013 23:05:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 28 Jul 2013 09:59:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 28 05:59:31 2013
Received: from localhost ([127.0.0.1]:54021 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V3NlD-0006SE-GS
	for submit <at> debbugs.gnu.org; Sun, 28 Jul 2013 05:59:31 -0400
Received: from pd9519e5e.dip0.t-ipconnect.de ([217.81.158.94]:37625
 helo=acm.muc.de) by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1V3NlA-0006Rs-AG
 for 14886 <at> debbugs.gnu.org; Sun, 28 Jul 2013 05:59:29 -0400
Received: (qmail 8755 invoked by uid 1000); 28 Jul 2013 09:58:29 -0000
Date: Sun, 28 Jul 2013 09:58:29 +0000
From: Alan Mackenzie <acm@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
Message-ID: <20130728095829.GA8649@HIDDEN>
References: <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
 <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
 <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>
 <20130726194428.GA3974@HIDDEN>
 <CAAeL0SQwC=jVyoELfx3GXKQ0NPrf6=zZfnrWXFqvmF57O3jWEA@HIDDEN>
 <20130727093556.GA3616@HIDDEN> <51F39EF6.8050408@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <51F39EF6.8050408@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Martin. On Sat, Jul 27, 2013 at 12:20:38PM +0200,
 martin
 rudalics wrote: > > I've tried a brief ediff between the font-lock files
 in 24.3 and trunk,
 > > but haven't spotted the difference yet in font-lock-fontify-buffer
 which > > I suspect is there. [...] 
 Content analysis details:   (4.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
 [217.81.158.94 listed in zen.spamhaus.org]
 0.0 RCVD_IN_SORBS_DUL      RBL: SORBS: sent directly from dynamic IP address
 [217.81.158.94 listed in dnsbl.sorbs.net]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 0.0 SPF_HELO_NEUTRAL       SPF: HELO does not match SPF record (neutral)
X-Debbugs-Envelope-To: 14886
Cc: Juanma Barranquero <lekktu@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hello, Martin. On Sat, Jul 27, 2013 at 12:20:38PM +0200, martin
    rudalics wrote: > > I've tried a brief ediff between the font-lock files
   in 24.3 and trunk, > > but haven't spotted the difference yet in font-lock-fontify-buffer
    which > > I suspect is there. [...] 
 
 Content analysis details:   (4.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [217.81.158.94 listed in zen.spamhaus.org]
  0.0 RCVD_IN_SORBS_DUL      RBL: SORBS: sent directly from dynamic IP address
                             [217.81.158.94 listed in dnsbl.sorbs.net]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 SPF_HELO_NEUTRAL       SPF: HELO does not match SPF record (neutral)

Hello, Martin.

On Sat, Jul 27, 2013 at 12:20:38PM +0200, martin rudalics wrote:
>  > I've tried a brief ediff between the font-lock files in 24.3 and trunk,
>  > but haven't spotted the difference yet in font-lock-fontify-buffer which
>  > I suspect is there.

I am calling:

emacs -Q --eval "(progn (add-hook 'prog-mode-hook #'font-lock-fontify-buffer) (setq debug-on-error t))" ~/emacs/emacs.bzr/trunk/src/xdisp.c

using both emacs 24.3 and the trunk.  In 24.3, the processing is
immediate (~2s), whereas in the trunk it takes ~28s.

> Why should there be any difference?  The value that differs is that of
> `font-lock-fontify-buffer-function'.

In both 24.3 and trunk, `font-lock-fontify-buffer-function' ends up with
the value `jit-lock-refontify'.

> Calling `font-lock-fontify-buffer' from prog-mode does
> `font-lock-default-fontify-buffer'.  Calling it from c-mode does
> `jit-lock-refontify'.  Or what am I missing?

I don't understand what you mean by "from c-mode" and "from prog-mode".
Are you saying that that has somehow changed between 24.3 and the trunk?

> martin

-- 
Alan Mackenzie (Nuremberg, Germany).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 27 Jul 2013 14:04:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 27 10:04:00 2013
Received: from localhost ([127.0.0.1]:52917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V356C-0008B8-4L
	for submit <at> debbugs.gnu.org; Sat, 27 Jul 2013 10:03:56 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:29435)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1V3569-0008Ag-Lb
 for 14886 <at> debbugs.gnu.org; Sat, 27 Jul 2013 10:03:54 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFpZPn/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNAcLFBgNJIgeBsEtkQoDpHqBXoMT
X-IPAS-Result: Av4EABK/CFFFpZPn/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNAcLFBgNJIgeBsEtkQoDpHqBXoMT
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="19970546"
Received: from 69-165-147-231.dsl.teksavvy.com (HELO pastel.home)
 ([69.165.147.231])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 27 Jul 2013 10:03:41 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 890C062E93; Sat, 27 Jul 2013 10:03:45 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
Message-ID: <jwv4nbghzjg.fsf-monnier+emacs@HIDDEN>
References: <51E69331.9070007@HIDDEN>
 <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
 <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
 <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>
 <20130726194428.GA3974@HIDDEN>
 <CAAeL0SQwC=jVyoELfx3GXKQ0NPrf6=zZfnrWXFqvmF57O3jWEA@HIDDEN>
 <20130727093556.GA3616@HIDDEN> <51F39EF6.8050408@HIDDEN>
Date: Sat, 27 Jul 2013 10:03:45 -0400
In-Reply-To: <51F39EF6.8050408@HIDDEN> (martin rudalics's message of "Sat, 27
 Jul 2013 12:20:38 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 14886
Cc: Alan Mackenzie <acm@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 14886 <at> debbugs.gnu.org, Juanma Barranquero <lekktu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> I've tried a brief ediff between the font-lock files in 24.3 and trunk,
>> but haven't spotted the difference yet in font-lock-fontify-buffer which
>> I suspect is there.

> Why should there be any difference?  The value that differs is that of
> `font-lock-fontify-buffer-function'.  Calling `font-lock-fontify-buffer'
> from prog-mode does `font-lock-default-fontify-buffer'.  Calling it from
> c-mode does `jit-lock-refontify'.  Or what am I missing?

So it's back to the problem of font-lock-fontify-buffer meaning two
different things.  Could someone look into providing
font-lock-ensure-fontification and font-lock-mark-for-refontification,
and mark font-lock-fontify-buffer obsolete?


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 27 Jul 2013 10:20:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 27 06:20:53 2013
Received: from localhost ([127.0.0.1]:52444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V31cL-00036O-Cb
	for submit <at> debbugs.gnu.org; Sat, 27 Jul 2013 06:20:53 -0400
Received: from mout.gmx.net ([212.227.17.22]:63980)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1V31cI-00035r-CP
 for 14886 <at> debbugs.gnu.org; Sat, 27 Jul 2013 06:20:51 -0400
Received: from [62.47.51.209] ([62.47.51.209]) by mail.gmx.com (mrgmx101)
 with ESMTPA (Nemesis) id 0Lm7MT-1UTPob0O8n-00Zj4B for
 <14886 <at> debbugs.gnu.org>; Sat, 27 Jul 2013 12:20:44 +0200
Message-ID: <51F39EF6.8050408@HIDDEN>
Date: Sat, 27 Jul 2013 12:20:38 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Alan Mackenzie <acm@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
References: <51E69331.9070007@HIDDEN>	<jwv38r7446o.fsf-monnier+emacs@HIDDEN>	<CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>	<CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>	<20130724193039.GA11879@HIDDEN>	<CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>	<jwvfvv3phko.fsf-monnier+emacs@HIDDEN>	<CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>	<20130726194428.GA3974@HIDDEN>	<CAAeL0SQwC=jVyoELfx3GXKQ0NPrf6=zZfnrWXFqvmF57O3jWEA@HIDDEN>
 <20130727093556.GA3616@HIDDEN>
In-Reply-To: <20130727093556.GA3616@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:eCtVjFmVX61/UF3US/kRE5Ir60IK5KGwLD0nr7PZl78DIe65rER
 K5uGRZ9mWEbIn0GU3NiJhPhPRfTLxy5Si2lSFv8oiJzdeeDRxFtXqK2k/r6pK/NXpzf9Efq
 gi4IeBCNVnwdgEqLGqFojjR7nFdCNVhbhzkfLnawdRv0KH/WTihQVv4Jwg5vatgxpwC+8Oo
 yBvHE6Q06fjxIG1Id1Tqw==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 14886
Cc: Juanma Barranquero <lekktu@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I've tried a brief ediff between the font-lock files in 24.3 and trunk,
 > but haven't spotted the difference yet in font-lock-fontify-buffer which
 > I suspect is there.

Why should there be any difference?  The value that differs is that of
`font-lock-fontify-buffer-function'.  Calling `font-lock-fontify-buffer'
from prog-mode does `font-lock-default-fontify-buffer'.  Calling it from
c-mode does `jit-lock-refontify'.  Or what am I missing?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 27 Jul 2013 10:11:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 27 06:11:25 2013
Received: from localhost ([127.0.0.1]:52391 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V31TB-0002Xr-F6
	for submit <at> debbugs.gnu.org; Sat, 27 Jul 2013 06:11:25 -0400
Received: from mail-ee0-f42.google.com ([74.125.83.42]:56582)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1V31T9-0002X7-4v
 for 14886 <at> debbugs.gnu.org; Sat, 27 Jul 2013 06:11:23 -0400
Received: by mail-ee0-f42.google.com with SMTP id c4so1988605eek.29
 for <14886 <at> debbugs.gnu.org>; Sat, 27 Jul 2013 03:11:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=4o3Mq3ypOnQtU1zJ9jlcAyboUtNqLoxSiSsdoSicsDU=;
 b=bDtn5peyqg4l7S4LotYSoo16MSbVZdHcw0kOoUKlQSohL8HciiR/J21vIS7JHdMPcK
 KxXOu+xzSyv58x5+ew/54O2PiTBjjPXbRVGj97vz4qcoVGwniPry21rCOTcd4l6bITVZ
 ZPNDbNZCWZQ92Zd9Z3fGIh+AMeRHDKbpv+L4yJiZm+JRs6lRYkfRSvzmAQgYLT3VlkqS
 qfSV0AmtYO6wRUQF+E2PYA0sq2N5M4M6YuNT6jw/BDv0rdtfFgbQu+fcMNJG1T3vSwYW
 Cl2yNouV858J4yILc9eIefLGg2yAaXQ4GYU9tMhJIkZE8oyQvZ+wJFvTZGtVTqkUCbUZ
 3nPQ==
X-Received: by 10.14.218.8 with SMTP id j8mr51027077eep.129.1374919877476;
 Sat, 27 Jul 2013 03:11:17 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.15.23.70 with HTTP; Sat, 27 Jul 2013 03:10:37 -0700 (PDT)
In-Reply-To: <20130727093556.GA3616@HIDDEN>
References: <51E69331.9070007@HIDDEN>
 <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
 <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
 <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>
 <20130726194428.GA3974@HIDDEN>
 <CAAeL0SQwC=jVyoELfx3GXKQ0NPrf6=zZfnrWXFqvmF57O3jWEA@HIDDEN>
 <20130727093556.GA3616@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Sat, 27 Jul 2013 12:10:37 +0200
Message-ID: <CAAeL0STwW-LXETr9Oa8OChgK0wMp=fa18mT5joD_GSQyMHtiNg@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Alan Mackenzie <acm@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sat, Jul 27, 2013 at 11:35 AM, Alan Mackenzie <acm@HIDDEN> wrote:

> I see the phenomenon, yes, but I'm not sure it counts as a problem.

Then, please do not waste more time on this. We can dismiss it as a
bug on column-marker-mode, or on my using it from a hook.

Thanks,

    Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 27 Jul 2013 09:36:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 27 05:36:59 2013
Received: from localhost ([127.0.0.1]:52351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V30vq-0000SC-Mo
	for submit <at> debbugs.gnu.org; Sat, 27 Jul 2013 05:36:59 -0400
Received: from pd951a904.dip0.t-ipconnect.de ([217.81.169.4]:59765
 helo=acm.muc.de) by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1V30vm-0000Rz-Kq
 for 14886 <at> debbugs.gnu.org; Sat, 27 Jul 2013 05:36:56 -0400
Received: (qmail 3714 invoked by uid 1000); 27 Jul 2013 09:35:56 -0000
Date: Sat, 27 Jul 2013 09:35:56 +0000
From: Alan Mackenzie <acm@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
Message-ID: <20130727093556.GA3616@HIDDEN>
References: <51E69331.9070007@HIDDEN>
 <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
 <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
 <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>
 <20130726194428.GA3974@HIDDEN>
 <CAAeL0SQwC=jVyoELfx3GXKQ0NPrf6=zZfnrWXFqvmF57O3jWEA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAAeL0SQwC=jVyoELfx3GXKQ0NPrf6=zZfnrWXFqvmF57O3jWEA@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Juanma. On Fri, Jul 26, 2013 at 11:32:03PM +0200, Juanma
 Barranquero wrote: > On Fri, Jul 26, 2013 at 9:44 PM,
 Alan Mackenzie <acm@HIDDEN>
 wrote: > > In the trunk, the entire buffer seems to get fontified, taking
 ~28s on my > > machine. I think the definition of `font-lock-fontify-buffer'
 has > > changed. Could this change explain the difference in timings you
 see? [...] 
 Content analysis details:   (4.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_SORBS_DUL      RBL: SORBS: sent directly from dynamic IP address
 [217.81.169.4 listed in dnsbl.sorbs.net]
 3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
 [217.81.169.4 listed in zen.spamhaus.org]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 0.0 SPF_HELO_NEUTRAL       SPF: HELO does not match SPF record (neutral)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, Juanma. On Fri, Jul 26, 2013 at 11:32:03PM +0200, Juanma
    Barranquero wrote: > On Fri, Jul 26, 2013 at 9:44 PM, Alan Mackenzie <acm@HIDDEN>
    wrote: > > In the trunk, the entire buffer seems to get fontified, taking
    ~28s on my > > machine. I think the definition of `font-lock-fontify-buffer'
    has > > changed. Could this change explain the difference in timings you
   see? [...] 
 
 Content analysis details:   (4.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [217.81.169.4 listed in zen.spamhaus.org]
  0.0 RCVD_IN_SORBS_DUL      RBL: SORBS: sent directly from dynamic IP address
                             [217.81.169.4 listed in dnsbl.sorbs.net]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 SPF_HELO_NEUTRAL       SPF: HELO does not match SPF record (neutral)

Hi, Juanma.

On Fri, Jul 26, 2013 at 11:32:03PM +0200, Juanma Barranquero wrote:
> On Fri, Jul 26, 2013 at 9:44 PM, Alan Mackenzie <acm@HIDDEN> wrote:

> > In the trunk, the entire buffer seems to get fontified, taking ~28s on my
> > machine.  I think the definition of `font-lock-fontify-buffer' has
> > changed.  Could this change explain the difference in timings you see?

> Yes, I suppose so.

> > I'm not sure I'm getting very far, here.  IIUC, the problem is that the
> > initial f-l-fontify-buffer is taking around 72s in some circumstances, as
> > opposed to 18s (on JB's machine).  I can't reproduce the problem.

> Sorry, I don't understand. The bug is not that it takes 18s or 72s, is
> that it goes from less than two seconds (in 24.3) to tens of seconds
> (in trunk). Do you see that problem or don't you?

I see the phenomenon, yes, but I'm not sure it counts as a problem.  To
completely fontify the xdisp.c buffer takes 28s, or perhaps 18s on a very
fast machine.  xdisp.c is ~30,000 lines.  It does not take two seconds to
fontify on any ordinary hardware.

On Emacs 24.3, I'm convinced that a full fontification is _not_ taking
place - merely the fontification by jit-lock of the visible window.  On
the trunk the full fontification is getting done.

I've tried a brief ediff between the font-lock files in 24.3 and trunk,
but haven't spotted the difference yet in font-lock-fontify-buffer which
I suspect is there.  Stefan?

>     Juanma

-- 
Alan Mackenzie (Nuremberg, Germany).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 26 Jul 2013 21:32:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 26 17:32:52 2013
Received: from localhost ([127.0.0.1]:51737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V2pd6-0007nu-1d
	for submit <at> debbugs.gnu.org; Fri, 26 Jul 2013 17:32:52 -0400
Received: from mail-ee0-f43.google.com ([74.125.83.43]:55300)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1V2pd3-0007nR-D6
 for 14886 <at> debbugs.gnu.org; Fri, 26 Jul 2013 17:32:50 -0400
Received: by mail-ee0-f43.google.com with SMTP id l10so1760267eei.16
 for <14886 <at> debbugs.gnu.org>; Fri, 26 Jul 2013 14:32:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=U1fPUc0uvKNbg0FP3ehpwnDJxMpPuBhDSnXJFSdiYpU=;
 b=IMqHVxqyZ+hWvPbqzVyqIFa9fZSlgVt1tfUG0enB4KlocZEVajm0ibkOf31LUWrJpQ
 5VUtlz+ACxQBYlaG6B1hRvXCiKjFAM0u5dEPrfSo72O1wk/Z+BQ+fF6x4RNlc6YyZw8X
 v4SbNJ+SU69ib0OIflAS7+GAVUW+RK604HfdnoOfZXEM3FhooZAd9yStqc3St5q9NSKI
 cld5t81JuyalxYV5m8S2fKXHS4b8w7mu/tohpKUciIEArwCOOF7ZRkmCZ+9OU8/0Hx6v
 65MJlfyiJPxVmS4G+pYhr0BCfy0d21eccItdTw3sqwTIc3RCAj9l4ckm4JTvpHp0IxPE
 Bm5A==
X-Received: by 10.14.48.5 with SMTP id u5mr13583987eeb.89.1374874363539; Fri,
 26 Jul 2013 14:32:43 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.15.23.70 with HTTP; Fri, 26 Jul 2013 14:32:03 -0700 (PDT)
In-Reply-To: <20130726194428.GA3974@HIDDEN>
References: <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN> <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
 <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
 <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>
 <20130726194428.GA3974@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Fri, 26 Jul 2013 23:32:03 +0200
Message-ID: <CAAeL0SQwC=jVyoELfx3GXKQ0NPrf6=zZfnrWXFqvmF57O3jWEA@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Alan Mackenzie <acm@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Fri, Jul 26, 2013 at 9:44 PM, Alan Mackenzie <acm@HIDDEN> wrote:

> In the trunk, the entire buffer seems to get fontified, taking ~28s on my
> machine.  I think the definition of `font-lock-fontify-buffer' has
> changed.  Could this change explain the difference in timings you see?

Yes, I suppose so.

> I'm not sure I'm getting very far, here.  IIUC, the problem is that the
> initial f-l-fontify-buffer is taking around 72s in some circumstances, as
> opposed to 18s (on JB's machine).  I can't reproduce the problem.

Sorry, I don't understand. The bug is not that it takes 18s or 72s, is
that it goes from less than two seconds (in 24.3) to tens of seconds
(in trunk). Do you see that problem or don't you?

    Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 26 Jul 2013 19:45:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 26 15:45:31 2013
Received: from localhost ([127.0.0.1]:51583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V2nxC-0002lW-SS
	for submit <at> debbugs.gnu.org; Fri, 26 Jul 2013 15:45:31 -0400
Received: from pd951a007.dip0.t-ipconnect.de ([217.81.160.7]:53854
 helo=acm.muc.de) by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1V2nx9-0002lH-Ey
 for 14886 <at> debbugs.gnu.org; Fri, 26 Jul 2013 15:45:28 -0400
Received: (qmail 4206 invoked by uid 1000); 26 Jul 2013 19:44:28 -0000
Date: Fri, 26 Jul 2013 19:44:28 +0000
From: Alan Mackenzie <acm@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
Message-ID: <20130726194428.GA3974@HIDDEN>
References: <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN>
 <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
 <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
 <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Juanma. On Thu, Jul 25, 2013 at 08:53:44AM +0200, Juanma
 Barranquero wrote: > On Thu, Jul 25, 2013 at 3:24 AM,
 Stefan Monnier > <monnier@HIDDEN>
 wrote: > > I don't see why any of those 3 functions shouldn't be called from
 > > a hook, tho. [...] 
 Content analysis details:   (4.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 RCVD_IN_SORBS_DUL      RBL: SORBS: sent directly from dynamic IP address
 [217.81.160.7 listed in dnsbl.sorbs.net]
 3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
 [217.81.160.7 listed in zen.spamhaus.org]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 0.0 SPF_HELO_NEUTRAL       SPF: HELO does not match SPF record (neutral)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, Juanma. On Thu, Jul 25, 2013 at 08:53:44AM +0200, Juanma
    Barranquero wrote: > On Thu, Jul 25, 2013 at 3:24 AM, Stefan Monnier > <monnier@HIDDEN>
    wrote: > > I don't see why any of those 3 functions shouldn't be called from
    > > a hook, tho. [...] 
 
 Content analysis details:   (4.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [217.81.160.7 listed in zen.spamhaus.org]
  0.0 RCVD_IN_SORBS_DUL      RBL: SORBS: sent directly from dynamic IP address
                             [217.81.160.7 listed in dnsbl.sorbs.net]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 SPF_HELO_NEUTRAL       SPF: HELO does not match SPF record (neutral)

Hi, Juanma.

On Thu, Jul 25, 2013 at 08:53:44AM +0200, Juanma Barranquero wrote:
> On Thu, Jul 25, 2013 at 3:24 AM, Stefan Monnier
> <monnier@HIDDEN> wrote:

> > I don't see why any of those 3 functions shouldn't be called from
> > a hook, tho.

> Well, it's not that you *must* not call it from a hook, is that if you
> call it when starting Emacs, you can have an unacceptable delay. No
> one on his/her sane mind wants to wait a long time (almost one minute
> in my current setup) to open a file that could be opened in less than
> 1s.

Running

emacs -Q --eval "(progn (add-hook 'prog-mode-hook #'font-lock-fontify-buffer) (setq debug-on-error t))" src/xdisp.c

on Emacs 24.3 (I've added a setting of `debug-on-error', and removed the
final `kill-emacs'), goes quickly.  This suggests that the buffer isn't
fully fontified - instead, merely that the first window of it gets
fontified by jit-lock.

> > Silent errors are bugs.  Please try and find what happens with
> > the error message.

The debug-on-error isn't triggered.  My guess that an error occurred
seems to be wrong.

In the trunk, the entire buffer seems to get fontified, taking ~28s on my
machine.  I think the definition of `font-lock-fontify-buffer' has
changed.  Could this change explain the difference in timings you see?

> I think that's more like Alan's ballpark.

I'm not sure I'm getting very far, here.  IIUC, the problem is that the
initial f-l-fontify-buffer is taking around 72s in some circumstances, as
opposed to 18s (on JB's machine).  I can't reproduce the problem.

>    J

-- 
Alan Mackenzie (Nuremberg, Germany).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 25 Jul 2013 06:54:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 02:54:37 2013
Received: from localhost ([127.0.0.1]:48470 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V2FRb-000885-Og
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2013 02:54:36 -0400
Received: from mail-ee0-f49.google.com ([74.125.83.49]:58241)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1V2FRX-000875-5c
 for 14886 <at> debbugs.gnu.org; Thu, 25 Jul 2013 02:54:32 -0400
Received: by mail-ee0-f49.google.com with SMTP id b57so697534eek.22
 for <14886 <at> debbugs.gnu.org>; Wed, 24 Jul 2013 23:54:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=p7E0LuiYp+E1xrSgX++DVDtzRiCeEyE6+2IZiICUxJY=;
 b=hh+A3Riwr6w156OSKUbNk0RyYFDhYroKBntxPv/Oje1Vd45KKxFXut5VK7lldVXfdm
 6Uq4pA68x94uXg1RpJdHvYxhPwAXble3uFMZxzmHSa9d5OBvAOnNkP91QFSYO9MVT9Bw
 qeTWwh13jgSAdyBqYSYHSXqDHRPE57XXNB7Xj++fcKSBfbgXU+KTVBe18FnuZ7ROyQKW
 VRFJZyJOoV8gvdN69HGqhxpU0AtK9OdLUFaEoc3/Rh8cDocveFSQJguUsfV4/VrEtefN
 2Xqk/iI5uF3WEa4YKsp2/r3u+dHM4BUFpGSY+3mQotnGWJKPKA1836VIjwq9Mbg8bcQG
 EmiQ==
X-Received: by 10.15.21.78 with SMTP id c54mr40760487eeu.14.1374735265148;
 Wed, 24 Jul 2013 23:54:25 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.15.23.70 with HTTP; Wed, 24 Jul 2013 23:53:44 -0700 (PDT)
In-Reply-To: <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
References: <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN> <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
 <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
 <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Thu, 25 Jul 2013 08:53:44 +0200
Message-ID: <CAAeL0SRqVotOMMFmxtvJ7oaZy4yoLPhm2aMZmmx-Z9MpGmzZ8w@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: Alan Mackenzie <acm@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Jul 25, 2013 at 3:24 AM, Stefan Monnier
<monnier@HIDDEN> wrote:

> I don't see why any of those 3 functions shouldn't be called from
> a hook, tho.

Well, it's not that you *must* not call it from a hook, is that if you
call it when starting Emacs, you can have an unacceptable delay. No
one on his/her sane mind wants to wait a long time (almost one minute
in my current setup) to open a file that could be opened in less than
1s.

though

> Silent errors are bugs.  Please try and find what happens with
> the error message.

I think that's more like Alan's ballpark.

   J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 25 Jul 2013 01:24:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 21:24:46 2013
Received: from localhost ([127.0.0.1]:48006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V2AIQ-0005w7-7o
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2013 21:24:46 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:63185)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1V2AIO-0005vD-Bb
 for 14886 <at> debbugs.gnu.org; Wed, 24 Jul 2013 21:24:45 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFxLd+/2dsb2JhbABEvw4Xc4IfAQVWIxALDiYHCxQYDSSIJMEtkQoDpHqBXoMT
X-IPAS-Result: Av4EABK/CFFFxLd+/2dsb2JhbABEvw4Xc4IfAQVWIxALDiYHCxQYDSSIJMEtkQoDpHqBXoMT
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="19755129"
Received: from 69-196-183-126.dsl.teksavvy.com (HELO pastel.home)
 ([69.196.183.126])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 24 Jul 2013 21:24:32 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id E8A1762E5D; Wed, 24 Jul 2013 21:24:37 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
Message-ID: <jwvfvv3phko.fsf-monnier+emacs@HIDDEN>
References: <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN> <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
 <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
Date: Wed, 24 Jul 2013 21:24:37 -0400
In-Reply-To: <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
 (Juanma Barranquero's message of "Wed, 24 Jul 2013 23:29:00 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 14886
Cc: Alan Mackenzie <acm@HIDDEN>, Paul Eggert <eggert@HIDDEN>,
 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> - Font-lock-fontify-buffer should not be called from a hook.

Font-lock-fontify-buffer is definitely a bad function, since it has
2 different meanings (either "make sure the buffer is fontified" or
"please refontify the buffer").  It should be replaced by two different
functions:
- font-lock-ensure-fontification, which makes sure fontification is
  applied to a particular region (e.g. for use by things like
  htmlfontify or ps-print).
- font-lock-flush-fontification which indicates that the fontification
  for a particular region should be considered out-of-date (e.g. for use
  after calling font-lock-add/remove-keywords).
I don't see why any of those 3 functions shouldn't be called from
a hook, tho.
  
> - Errors during fontification should be visible.  That would have made
> clear that there was something wrong with the 24.3 use case.

Silent errors are bugs.  Please try and find what happens with
the error message.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 24 Jul 2013 21:29:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 17:29:48 2013
Received: from localhost ([127.0.0.1]:47724 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V26d1-0003JZ-Qf
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2013 17:29:48 -0400
Received: from mail-ea0-f171.google.com ([209.85.215.171]:56715)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1V26d0-0003J4-2B
 for 14886 <at> debbugs.gnu.org; Wed, 24 Jul 2013 17:29:47 -0400
Received: by mail-ea0-f171.google.com with SMTP id n15so517208ead.30
 for <14886 <at> debbugs.gnu.org>; Wed, 24 Jul 2013 14:29:40 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=r47rr170MT1h5Iha1Kndari7K/1sU7G4Lv/rxziacSE=;
 b=XUsubYP+91QGE0OmWgQNFKy3i1Nlde/NcFfysXx+oVeH5HGY410w+faM6KFoD4hxLm
 hmf+rGWy2+fdidtE8A/VLOsH42MRXEbGMeSFqqOEI1H5icWWWQxosh+rPZQaFn8PxId2
 X9Ca0yaQjooCwRH3DHL2fe9kk+SlZqxxiq+OMUnn/Sl52HMXbo30A/bhFuvxMj/QoXmn
 WAwZEN46o1JW2QaBims6NgNPzBC07aXvx6svQI+wr0rEYuZzqtfDS3mMHM+qbZ6uqyre
 2Iqe1C3RDvPGJ4ZV9pAoK8bDga3cO6Snf7ii8NcdHMauTm1Txc7t3k3DY6wqS4u2zn59
 9hsw==
X-Received: by 10.15.25.2 with SMTP id k2mr38807033eeu.99.1374701380280; Wed,
 24 Jul 2013 14:29:40 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Wed, 24 Jul 2013 14:29:00 -0700 (PDT)
In-Reply-To: <20130724193039.GA11879@HIDDEN>
References: <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN> <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
 <20130724193039.GA11879@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 24 Jul 2013 23:29:00 +0200
Message-ID: <CAAeL0SRqovcsARVn5YcWTV3paAot4S-8Ez+2p4+1hvL7gQSeGQ@HIDDEN>
Subject: Re: bug#14886: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Alan Mackenzie <acm@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> When I try this on today's trunk (just updated to rev #113531), I get
> 28.2s.  The same on Emacs 24.3 aborts with some sort of error in ~1.5s
> (although there is no error message visible).

In that case, a few conclusions:

- Font-lock-fontify-buffer should not be called from a hook.
- Errors during fontification should be visible. That would have made
clear that there was something wrong with the 24.3 use case.

   J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 24 Jul 2013 19:31:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 24 15:31:39 2013
Received: from localhost ([127.0.0.1]:47592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V24mg-0006IM-Kw
	for submit <at> debbugs.gnu.org; Wed, 24 Jul 2013 15:31:39 -0400
Received: from pd951bffb.dip0.t-ipconnect.de ([217.81.191.251]:39269
 helo=acm.muc.de) by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <acm@HIDDEN>) id 1V24md-0006I4-L6
 for 14886 <at> debbugs.gnu.org; Wed, 24 Jul 2013 15:31:36 -0400
Received: (qmail 12064 invoked by uid 1000); 24 Jul 2013 19:30:39 -0000
Date: Wed, 24 Jul 2013 19:30:39 +0000
From: Alan Mackenzie <acm@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: Fwd: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
Message-ID: <20130724193039.GA11879@HIDDEN>
References: <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN>
 <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
 <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
 <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <CAAeL0STtrBnWTbc0FSPn6XHArcDtxHwzNVaijvyG5bVKMLRo+w@HIDDEN>
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, Juanma. On Tue, Jul 23, 2013 at 01:16:21PM +0200, Juanma
 Barranquero wrote: > Alan, I tried to Cc: you from this bug's thread, but
 apparently > failed. Could you take a look at this bug, specially at the
 use case > that triggered the bug report, [...] 
 Content analysis details:   (4.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
 [217.81.191.251 listed in zen.spamhaus.org]
 0.0 RCVD_IN_SORBS_DUL      RBL: SORBS: sent directly from dynamic IP address
 [217.81.191.251 listed in dnsbl.sorbs.net]
 0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
 0.0 SPF_HELO_NEUTRAL       SPF: HELO does not match SPF record (neutral)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 4.2 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Hi, Juanma. On Tue, Jul 23, 2013 at 01:16:21PM +0200, Juanma
    Barranquero wrote: > Alan, I tried to Cc: you from this bug's thread, but
    apparently > failed. Could you take a look at this bug, specially at the
   use case > that triggered the bug report, [...] 
 
 Content analysis details:   (4.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_PBL            RBL: Received via a relay in Spamhaus PBL
                             [217.81.191.251 listed in zen.spamhaus.org]
  0.0 RCVD_IN_SORBS_DUL      RBL: SORBS: sent directly from dynamic IP address
                             [217.81.191.251 listed in dnsbl.sorbs.net]
  0.7 SPF_NEUTRAL            SPF: sender does not match SPF record (neutral)
  0.0 SPF_HELO_NEUTRAL       SPF: HELO does not match SPF record (neutral)

Hi, Juanma.

On Tue, Jul 23, 2013 at 01:16:21PM +0200, Juanma Barranquero wrote:
> Alan, I tried to Cc: you from this bug's thread, but apparently
> failed. Could you take a look at this bug, specially at the use case
> that triggered the bug report,

>   emacs -Q --eval "(add-hook 'prog-mode-hook
> #'font-lock-fontify-buffer)" src/xdisp.c -f kill-emacs

When I try this on today's trunk (just updated to rev #113531), I get
28.2s.  The same on Emacs 24.3 aborts with some sort of error in ~1.5s
(although there is no error message visible). 

When I run font-lock-fontify-buffer in either 24.3 or rev #113531 (after
appropriate setting up with global-font-lock-mode, etc.), it takes about
the same 28 seconds.  This is just how long it takes to fontify xdisp.c
without jit-lock.

I don't see the factor 4 slowdown that you did.

> ?

> TIA,

>   Juanma


> ---------- Forwarded message ----------
> From: Juanma Barranquero <lekktu@HIDDEN>
> Date: Tue, Jul 23, 2013 at 12:11 AM
> Subject: Re: bug#14886: Fwd: A significant slowdown calling
> font-lock-fontify-buffer from a hook
> To: Stefan Monnier <monnier@HIDDEN>
> Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org


> X-Debbugs-CC: acm@HIDDEN

> > A run of profiler-start seems to indicate most of the time is spent in
> > c-find-decl-spots.

This is not unexpected.

> Alan, could you please take a look at this bug report? The problem
> seems specific to editing C files.

> Thanks,

>    Juanma

-- 
Alan Mackenzie (Nuremberg, Germany).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 22 Jul 2013 22:12:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 22 18:12:24 2013
Received: from localhost ([127.0.0.1]:43605 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V1OLA-0002N9-CR
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2013 18:12:24 -0400
Received: from mail-ee0-f42.google.com ([74.125.83.42]:53067)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1V1OL8-0002Mo-JH
 for 14886 <at> debbugs.gnu.org; Mon, 22 Jul 2013 18:12:23 -0400
Received: by mail-ee0-f42.google.com with SMTP id c4so4111735eek.29
 for <14886 <at> debbugs.gnu.org>; Mon, 22 Jul 2013 15:12:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=JAdRF04Dwn/0ikB7ZJ5FNcq2xb3X2uNeTvD7ts3n2K0=;
 b=0kAzGhOJDZKAPVo+y+/ND4FVz4zYKsw+XJb9lVoxMYJLCCYVrbXVqZ/ez1LJpVoXvZ
 jFXhvGQVKBnDwb6J656T2T2rHKD7Li9qtmbgcQXhrCwTbM1eB3gJQAjUQxludUzWqTui
 imyRVjwaVHhqxJWCOm9kQ5SGjM8/oicfsrYJ0If6rVmtWwCGuxTx81cEvVTrzjET/fQ7
 BoMWiy/wn04282KtF2zLuFVkriQxSVh4TpN3dveTsJaPZzm7s/DS63vxb1WjcMkVEhFl
 hcGM3HlIjrVIUTHn/itVeLqHJCeLqFqo6VZ7z3aY3Ky0ggmqSVpqasQGX+QJci0X975L
 VpRw==
X-Received: by 10.14.219.6 with SMTP id l6mr28737745eep.152.1374531136744;
 Mon, 22 Jul 2013 15:12:16 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Mon, 22 Jul 2013 15:11:36 -0700 (PDT)
In-Reply-To: <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN> <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Tue, 23 Jul 2013 00:11:36 +0200
Message-ID: <CAAeL0SR3FmOp49OrMnerKwPUv6iwTBb7tcF1Zvj=VBm9YS1=VQ@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

X-Debbugs-CC: acm@HIDDEN

> A run of profiler-start seems to indicate most of the time is spent in
> c-find-decl-spots.

Alan, could you please take a look at this bug report? The problem
seems specific to editing C files.

Thanks,

   Juanma




Information forwarded to acm@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 22 Jul 2013 04:21:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 22 00:21:07 2013
Received: from localhost ([127.0.0.1]:41750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V17cQ-0003BG-Qv
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2013 00:21:07 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:15560)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1V17cO-0003A8-En
 for 14886 <at> debbugs.gnu.org; Mon, 22 Jul 2013 00:21:04 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFG4rw7r/2dsb2JhbABEDr8AF3OCHgEBBAFWIwULCzQSFBgNJIgeBsEtkQoDpHqBXoI5Wg
X-IPAS-Result: Av4EABK/CFG4rw7r/2dsb2JhbABEDr8AF3OCHgEBBAFWIwULCzQSFBgNJIgeBsEtkQoDpHqBXoI5Wg
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="19483341"
Received: from 184-175-14-235.dsl.teksavvy.com (HELO fmsmemgm.homelinux.net)
 ([184.175.14.235])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 22 Jul 2013 00:20:52 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 172C2AE1D1; Mon, 22 Jul 2013 00:20:58 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Paul Eggert <eggert@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
Message-ID: <jwv38r7446o.fsf-monnier+emacs@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN>
Date: Mon, 22 Jul 2013 00:20:58 -0400
In-Reply-To: <51E69331.9070007@HIDDEN> (Paul Eggert's message of "Wed, 17
 Jul 2013 05:50:57 -0700")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 14886
Cc: Juanma Barranquero <lekktu@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>   src/emacs -Q --eval "(add-hook 'prog-mode-hook
> #'font-lock-fontify-buffer)" src/xdisp.c -f kill-emacs

A run of profiler-start seems to indicate most of the time is spent in
c-find-decl-spots.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 16:57:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 12:57:37 2013
Received: from localhost ([127.0.0.1]:33257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzV2m-0004wT-OP
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 12:57:36 -0400
Received: from mail-ea0-f175.google.com ([209.85.215.175]:46729)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1UzV2l-0004w9-6s
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 12:57:35 -0400
Received: by mail-ea0-f175.google.com with SMTP id z7so1187701eaf.34
 for <14886 <at> debbugs.gnu.org>; Wed, 17 Jul 2013 09:57:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=0cLlLRm2rNHow89mvpBhCvctE5gMdAI9CX0oCnI94cE=;
 b=TEaevsIKVvhAqSY5vPB9DrAjGUZBBlvEYNXLPpxR7iqso4PE6NsIRqA2W0punDM/dR
 leG0VuJ9Z6arcJ1Ob5n09A2l5XW3gEJxnqPCtrba5wapocfAPzbaBqjOkNxYiLshkQLb
 bfk8QkX4cQVYYUaft+pXqtBfCUlGEPmWndlQJG9GwUIAdvGE58rW7llqSMoFwcGIqCXT
 vbalttY+fkHKZFYpKhT4OP0ZlxUfW7lkCyN9FaXE88A4JkhU1Fy4ZXwR/VoEVr8uq5Jw
 7YTy2FnAacdnndXOs3LvIhHnaR14Wa1sWSjqXwaDm2aYrimIiU5n+osYCBpq8gpUiA+n
 lODQ==
X-Received: by 10.15.21.78 with SMTP id c54mr7280273eeu.14.1374080249152; Wed,
 17 Jul 2013 09:57:29 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Wed, 17 Jul 2013 09:56:49 -0700 (PDT)
In-Reply-To: <yp1u6xrxgs.fsf@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN>
 <CAAeL0SRjC1-pvaNN9urqrX4qmRB0n1qW=rx=t6ueW0AMSVPAzQ@HIDDEN>
 <yp1u6xrxgs.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 17 Jul 2013 18:56:49 +0200
Message-ID: <CAAeL0STuj3iN8-J2ujE7VR1MK+99G6X9X3RV9fNknPYb_YP0-g@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Glenn Morris <rgm@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Jul 17, 2013 at 5:57 PM, Glenn Morris <rgm@HIDDEN> wrote:

> It's not clear to me if you are talking about a general problem, or
> something specific to CC mode (since that is what your example uses).

That's a good question. Loading a big elisp file does not show the problem.

> Try the 24.3 cc-mode under trunk?

Apparently the problem still persists.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 15:57:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 11:57:22 2013
Received: from localhost ([127.0.0.1]:33146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzU6P-0002hT-40
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 11:57:21 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:55133 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1UzU6I-0002hE-Df
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 11:57:15 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1UzU6F-0005Xk-Pv; Wed, 17 Jul 2013 11:57:08 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN>
 <CAAeL0SRjC1-pvaNN9urqrX4qmRB0n1qW=rx=t6ueW0AMSVPAzQ@HIDDEN>
X-Spook: Blowfish Tony Blair Perl-RSA eavesdropping Leuken-Baden
X-Ran: 5IQE[8'n_-I!m?GLu-2Nb9i_utyE$P!(s?fsT35h`LTDT$qL?kYOlMT-toI"*R/ajS/Rd{
X-Hue: white
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Wed, 17 Jul 2013 11:57:07 -0400
In-Reply-To: <CAAeL0SRjC1-pvaNN9urqrX4qmRB0n1qW=rx=t6ueW0AMSVPAzQ@HIDDEN>
 (Juanma Barranquero's message of "Wed, 17 Jul 2013 15:43:20 +0200")
Message-ID: <yp1u6xrxgs.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.4 (-----)
X-Debbugs-Envelope-To: 14886
Cc: Paul Eggert <eggert@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.4 (-----)


It's not clear to me if you are talking about a general problem, or
something specific to CC mode (since that is what your example uses).
Try the 24.3 cc-mode under trunk?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 15:20:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 11:20:33 2013
Received: from localhost ([127.0.0.1]:33110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzTWr-0001Kw-4V
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 11:20:33 -0400
Received: from mail-ea0-f182.google.com ([209.85.215.182]:63133)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1UzTWp-0001Kf-8f
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 11:20:31 -0400
Received: by mail-ea0-f182.google.com with SMTP id d10so1132023eaj.41
 for <14886 <at> debbugs.gnu.org>; Wed, 17 Jul 2013 08:20:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=92mk4mX/iwGUbemlVSHtkAWKmOAg2sZku+YP1dsDa9E=;
 b=o4ZBF1V3H94S2HNhkVjmPH5w8+7fTGzG4fDOVyOmYuptwHzZXyhEl04sLyxweDl/NO
 1q3QRYL1spS06WV7kn80rbjdfmfAJhijBGh10s9K52UuZzEWf3qU9DeV3RWY0sqwiEBG
 E3MvRLdauY/pUIW17T3BRFoBlVpl8LJCiEvjM+xi7XgO9mjYjSNqFyhuMS9qRjg3yjZF
 pQ3AOAjDhB8eu4o1L4Ji60moz9qsU8UfZ7Rdeyxq+gb1yhN3gIFNJpCbctpoZmhKciGE
 pIt/aoANftTPegoAZuOOAKi54+Dmst7lFaxUCU+wjLB+Kl7YigZrrNZTXGEtISUg+Oks
 VadQ==
X-Received: by 10.15.102.68 with SMTP id bq44mr6929950eeb.89.1374074425265;
 Wed, 17 Jul 2013 08:20:25 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Wed, 17 Jul 2013 08:19:45 -0700 (PDT)
In-Reply-To: <CAAeL0SRjC1-pvaNN9urqrX4qmRB0n1qW=rx=t6ueW0AMSVPAzQ@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN>
 <CAAeL0SRjC1-pvaNN9urqrX4qmRB0n1qW=rx=t6ueW0AMSVPAzQ@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 17 Jul 2013 17:19:45 +0200
Message-ID: <CAAeL0SSd4Ek+AWCRNV5GBN8sM7GdZcuba2PHKi8eoauVrTXKkQ@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Paul Eggert <eggert@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: Eli Zaretskii <eliz@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Jul 17, 2013 at 3:43 PM, Juanma Barranquero <lekktu@HIDDEN> wrote:

> I think the bug I reported started before 113359. I have a checkout of
> 112954, I'll try bootstrapping it and report back.

Yes, the problem is also visible in revno:112954.

   J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 15:17:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 11:17:04 2013
Received: from localhost ([127.0.0.1]:33105 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzTTU-0001Bz-2P
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 11:17:04 -0400
Received: from mail-ee0-f52.google.com ([74.125.83.52]:58191)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1UzTTR-0001BR-F0
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 11:17:02 -0400
Received: by mail-ee0-f52.google.com with SMTP id c50so1124362eek.39
 for <14886 <at> debbugs.gnu.org>; Wed, 17 Jul 2013 08:16:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=a5wdsG1eXx8dMEOuHmfwdU7fgwAsfWb4+/8SGoq3fe8=;
 b=oqc8XLpUgPbSobWw1D9d7WZVJ1xvlBwJtzd28nU1YXvSonX5lp+YY241qhUCTL9PKD
 wabuE6ZnTAsUdcTWEVLV25ybM34PcJ7KI1Eeb5k6PqhnBe6IWqPCdco2yKsUNgyMfuZC
 SdMjQITq1Da75NXlbIsylDVM96vo1R6b73G+6ZcmCsEj1dofpCCXfrx7sDalS7jJe+E/
 WDe62FDtApOUZA7/OZAMDIF8kOX/ytcRxWCbC6AkGbrjDr/JYjeB+lrvC5cZtCZlpFFq
 RnhXuvR7iXvYM4wBkLYrvitxFaXQEDED0io41Nye2igWUeChQ5SPWTRiw5W9i0QNQIFX
 Cw6Q==
X-Received: by 10.14.4.70 with SMTP id 46mr6801959eei.42.1374074215419; Wed,
 17 Jul 2013 08:16:55 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Wed, 17 Jul 2013 08:16:15 -0700 (PDT)
In-Reply-To: <83zjtl1b43.fsf@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <83zjtl1b43.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 17 Jul 2013 17:16:15 +0200
Message-ID: <CAAeL0SSp6t9Mb0P6POQQKen2=pFkF+XPWyd4HMAqysVD5KG98w@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Jul 17, 2013 at 5:04 PM, Eli Zaretskii <eliz@HIDDEN> wrote:

> If we must always
> run this from weird --eval arguments on the command line

Using --eval from the command line is not required, just makes timing
it all easier. But if you want a reproducible case without eval:

  ;; .emacs starts here
  (add-hook 'prog-mode-hook 'font-lock-fontify-buffer)
  ;; .emacs ends here

  emacs [/path/to/]xdisp.c

That's it. I don't know how to make it simpler.

> and on top
> of that call fontification from an obscure mode hook

prog-mode-hook isn't "obscure", We've spent time making all
programming modes derive from prog-mode, so running things on it is
nothing strange.

Also, I do not choose where I will hit a bug :-)

   J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 15:04:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 11:04:33 2013
Received: from localhost ([127.0.0.1]:33100 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzTHM-0000bs-QD
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 11:04:33 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:39402)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UzTHJ-0000bJ-Fj
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 11:04:30 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0MQ300A005SIYA00@HIDDEN> for 14886 <at> debbugs.gnu.org;
 Wed, 17 Jul 2013 18:04:22 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MQ300ACH5V9X420@HIDDEN>;
 Wed, 17 Jul 2013 18:04:21 +0300 (IDT)
Date: Wed, 17 Jul 2013 18:04:28 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
In-reply-to: <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Juanma Barranquero <lekktu@HIDDEN>
Message-id: <83zjtl1b43.fsf@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14886
Cc: 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
> 	T_DKIM_INVALID,USER_IN_WHITELIST autolearn=disabled version=3.3.2
> From: Juanma Barranquero <lekktu@HIDDEN>
> Date: Wed, 17 Jul 2013 11:04:18 +0200
> Cc: 14886 <at> debbugs.gnu.org
> 
> On Wed, Jul 17, 2013 at 6:02 AM, Eli Zaretskii <eliz@HIDDEN> wrote:
> 
> > Then I guess we have no clear idea what we are talking about.
> 
> No, but even if not always manitests itself in the same way, the
> slowdown is quite real. I've had to remove column-marker-1 from my
> hook or wait 30+ seconds to load big C files...

Efficient debugging of a problem needs a simple test case that you can
easily run and modify to test various hypotheses.  If we must always
run this from weird --eval arguments on the command line, and on top
of that call fontification from an obscure mode hook, the debugging
will be anything but easy.

I suggest to try to simplify the test case.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 13:59:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 09:59:41 2013
Received: from localhost ([127.0.0.1]:32949 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzSGa-00064I-4j
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 09:59:40 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:34953)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1UzSGW-00063t-QW
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 09:59:37 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 93A72A60002;
 Wed, 17 Jul 2013 06:59:30 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id WYJh0UZxrVhd; Wed, 17 Jul 2013 06:59:30 -0700 (PDT)
Received: from [192.168.1.9] (pool-71-108-49-126.lsanca.fios.verizon.net
 [71.108.49.126])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 2E9CCA60001;
 Wed, 17 Jul 2013 06:59:30 -0700 (PDT)
Message-ID: <51E6A341.20502@HIDDEN>
Date: Wed, 17 Jul 2013 06:59:29 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130623 Thunderbird/17.0.7
MIME-Version: 1.0
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN>
 <CAAeL0SRjC1-pvaNN9urqrX4qmRB0n1qW=rx=t6ueW0AMSVPAzQ@HIDDEN>
In-Reply-To: <CAAeL0SRjC1-pvaNN9urqrX4qmRB0n1qW=rx=t6ueW0AMSVPAzQ@HIDDEN>
X-Enigmail-Version: 1.5.1
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 14886
Cc: Eli Zaretskii <eliz@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

On 07/17/2013 06:43 AM, Juanma Barranquero wrote:
> What about Eli's test case? What do you see?

Trunk's about the same as Emacs 24.3.
On my platform (configured as in my previous message), running this:

src/emacs -Q -f global-font-lock-mode src/xdisp.c --eval "(let ((c-standard-font-lock-fontify-region-function 'font-lock-default-fontify-region)) (font-lock-fontify-buffer))" -f kill-emacs

took 47.2 s with Emacs 24.3, and 44.7 s on the trunk.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 13:44:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 09:44:11 2013
Received: from localhost ([127.0.0.1]:60555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzS1a-0005MW-2m
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 09:44:10 -0400
Received: from mail-ee0-f45.google.com ([74.125.83.45]:35542)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1UzS1X-0005Lz-16
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 09:44:07 -0400
Received: by mail-ee0-f45.google.com with SMTP id c1so1064082eek.18
 for <14886 <at> debbugs.gnu.org>; Wed, 17 Jul 2013 06:44:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=YHkYBaViAuM5w6tC8zQhHD5Fi5dK7CDcOaAgJsWNd3Q=;
 b=n+x/yIye6cotFbUfJzz5jpTm8crSHAKn3xOGS4gX9p+cULvVnX/OuCkDIgdLA9Ur3h
 2pBDul8kDpQ0z1lZUavECYNyAofPvVJtZe7fiH1rdqyW83Yl3ktvSTR+Ft8wH6/QTq2L
 2fN1scHIXBoivPxztPhNq20pZtoE7uz2goyQPN+uuEdJbQfhcCCyJcF5AcP65CouUzS4
 h5+KToDT7JSnHgcZMccjZqEHGszqYf6HjQ9taPzg3b/5U+5H0OXiWPG9+kNpM77XowIb
 U3BUyyHO7/EIKLR01Oi8Os+UCeztmuxsrk4kpw5fhGtA3+ibbsIhz31Jb7CumTpx+eGG
 YUNw==
X-Received: by 10.14.219.6 with SMTP id l6mr5904511eep.152.1374068640839; Wed,
 17 Jul 2013 06:44:00 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Wed, 17 Jul 2013 06:43:20 -0700 (PDT)
In-Reply-To: <51E69331.9070007@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
 <51E69331.9070007@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 17 Jul 2013 15:43:20 +0200
Message-ID: <CAAeL0SRjC1-pvaNN9urqrX4qmRB0n1qW=rx=t6ueW0AMSVPAzQ@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Paul Eggert <eggert@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: Eli Zaretskii <eliz@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Jul 17, 2013 at 2:50 PM, Paul Eggert <eggert@HIDDEN> wrote:

> Could be.  Did the problem start happening with
> trunk bzr 113359?  If so, I would suspect that
> it's the recent changes to syntax.c.

I think the bug I reported started before 113359. I have a checkout of
112954, I'll try bootstrapping it and report back.

> On Emacs 24.3 (configured with --enable-profiling,
> but compiled with the default -O2 optimization) this
> takes 1.1 s (user + system CPU time).  In the current
> trunk (bzr 113441) it takes 50.1 s.

That's similar to what I see: 2s vs 34s approx.

>
> The difference is so large that there must be something
> else going on.  Looking at the gprof outputs (attached)
> it appears that 24.3 is invoking scan_sexps_forward
> only 1628 times, whereas the current trunk is invoking
> it 400829 times.  So I assume that most of the performance
> difference is something at the Lisp level.

Could be.

> Or perhaps I'm
> just not running the correct test case?

What about Eli's test case? What do you see?

   J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 12:51:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 08:51:14 2013
Received: from localhost ([127.0.0.1]:60408 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzRCL-00035W-Km
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 08:51:13 -0400
Received: from smtp.cs.ucla.edu ([131.179.128.62]:60632)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eggert@HIDDEN>) id 1UzRCG-00034e-4d
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 08:51:09 -0400
Received: from localhost (localhost.localdomain [127.0.0.1])
 by smtp.cs.ucla.edu (Postfix) with ESMTP id 33DC9A60002;
 Wed, 17 Jul 2013 05:51:02 -0700 (PDT)
X-Virus-Scanned: amavisd-new at smtp.cs.ucla.edu
Received: from smtp.cs.ucla.edu ([127.0.0.1])
 by localhost (smtp.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id uvZm254jVnRN; Wed, 17 Jul 2013 05:51:01 -0700 (PDT)
Received: from [192.168.1.9] (pool-71-108-49-126.lsanca.fios.verizon.net
 [71.108.49.126])
 by smtp.cs.ucla.edu (Postfix) with ESMTPSA id 5E7C6A60001;
 Wed, 17 Jul 2013 05:51:01 -0700 (PDT)
Message-ID: <51E69331.9070007@HIDDEN>
Date: Wed, 17 Jul 2013 05:50:57 -0700
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
 rv:17.0) Gecko/20130623 Thunderbird/17.0.7
MIME-Version: 1.0
To: Juanma Barranquero <lekktu@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
 <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
In-Reply-To: <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
X-Enigmail-Version: 1.5.1
Content-Type: multipart/mixed; boundary="------------020102070906080307040505"
X-Debbugs-Envelope-To: 14886
Cc: Eli Zaretskii <eliz@HIDDEN>, 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

This is a multi-part message in MIME format.
--------------020102070906080307040505
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

On 07/17/2013 04:42 AM, Juanma Barranquero wrote:
> Could all this be related to Paul's substitution
> of many macros by inline functions?

Could be.  Did the problem start happening with
trunk bzr 113359?  If so, I would suspect that
it's the recent changes to syntax.c.

But I'm afraid I don't understand what the problem is.
I tried the test case in the bug report:

  src/emacs -Q --eval "(add-hook 'prog-mode-hook #'font-lock-fontify-buffer)" src/xdisp.c -f kill-emacs

I'm running Fedora 17 x86-64 with GCC 4.8.1.
On Emacs 24.3 (configured with --enable-profiling,
but compiled with the default -O2 optimization) this
takes 1.1 s (user + system CPU time).  In the current
trunk (bzr 113441) it takes 50.1 s.

The difference is so large that there must be something
else going on.  Looking at the gprof outputs (attached)
it appears that 24.3 is invoking scan_sexps_forward
only 1628 times, whereas the current trunk is invoking
it 400829 times.  So I assume that most of the performance
difference is something at the Lisp level.  Or perhaps I'm
just not running the correct test case?

--------------020102070906080307040505
Content-Type: application/x-xz;
 name="emacs-24.3.gprof.xz"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="emacs-24.3.gprof.xz"
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--------------020102070906080307040505
Content-Type: application/x-xz;
 name="emacs-113441.gprof.xz"
Content-Transfer-Encoding: base64
Content-Disposition: attachment;
 filename="emacs-113441.gprof.xz"
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--------------020102070906080307040505--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 11:43:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 07:43:38 2013
Received: from localhost ([127.0.0.1]:60275 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzQ8v-0008Ux-Jk
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 07:43:37 -0400
Received: from mail-ee0-f50.google.com ([74.125.83.50]:40602)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1UzQ8s-0008Ua-UR
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 07:43:35 -0400
Received: by mail-ee0-f50.google.com with SMTP id d49so968400eek.37
 for <14886 <at> debbugs.gnu.org>; Wed, 17 Jul 2013 04:43:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=5h2ioZvV3i58JnpF54a4kaJSe5zbCqYDtr5KX3I6XHI=;
 b=PyFmkXsH6UUvo1Do9Boiyp02k0jf/PrD+ZKq6p4t8p8DtdzbdFv+/LMFRJgpT6GXJU
 lUbG5guKCSx9deVs8xqoTIgf94HQ+ZC2ige3DoMCLFtBgs2ttTtVCSSEfeYp8Zn02iqO
 f10nHGF/jT78/m012XlH2txxfboT5XzOAQ0RReThq8wDAbqbVHjq97SGOXMpp21P65+X
 kTZdR7TVByy4Mflpbeb8pfwhLueuEio7H1ikLdDGDa4X5OjIkk8EAqkyGL0g384NvCwO
 whoFRROPNKDUSA0xzfFgcJ1BzF/buX7lLSC8aYRAZRcw3fnuwaAd4tSinf1iU9H0NyRL
 0X3A==
X-Received: by 10.15.76.71 with SMTP id m47mr5979064eey.70.1374061408952; Wed,
 17 Jul 2013 04:43:28 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Wed, 17 Jul 2013 04:42:47 -0700 (PDT)
In-Reply-To: <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
 <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 17 Jul 2013 13:42:47 +0200
Message-ID: <CAAeL0SQ_V_mYWRXhwsNxppUst5Mq2Buyn+ebWMJA8YV6V76TNQ@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

X-Debbugs-Cc: eggert@HIDDEN


Anyway, in my original report,

  emacs -Q --eval "(add-hook 'prog-mode-hook
#'font-lock-fontify-buffer)" src/xdisp.c -f kill-emacs

an optimized 24.3 build was slower than a non-opt trunk one (both
compiled with gcc 4.7.2).

However, with your test case, non-opt trunk is 30s slower than non-opt
24.3, and optimized trunk needs less than a third of the time of
non-opt trunk (though glyph assertions are enabled, which could affect
the result)...

A shoot in the dark: Could all this be related to Paul's substitution
of many macros by inline functions?

Paul, WDYT?

    Juanma




Information forwarded to eggert@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 09:05:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 05:05:08 2013
Received: from localhost ([127.0.0.1]:60041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzNfW-0000GF-Uq
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 05:05:07 -0400
Received: from mail-ea0-f175.google.com ([209.85.215.175]:33298)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1UzNfU-0000FS-HB
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 05:05:05 -0400
Received: by mail-ea0-f175.google.com with SMTP id z7so895206eaf.34
 for <14886 <at> debbugs.gnu.org>; Wed, 17 Jul 2013 02:04:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :cc:content-type;
 bh=KZX6GAah4NxwejrnOl39Zvk6pfgnlyWLU3RWuRG4yng=;
 b=gnHQ1zUy4LBZLn3/2BZ6JtXx4iFApcrMSJyVBNTI/zRtAXkgLF32m9qCnzG7GPdOWX
 vvwuB1RkTHXabw5r6fegRfqmhR8TChBUPQdPWyXLxcsAZ1YXkAA9lAw/iQaWPFzzc7Qt
 RptUQnbemtgDzuXY+0IRCNdsfC7k2mMDuwK4tyk0cYBpzWZJ9eBY6/R3xUSHabwyml8Z
 oXZJrwzUbR3jMpdCgvxEAr7f521S391CugQOFa6gDLgAR5O6in3oaGRvtTM0Ved5rJUw
 6G0iUSpvfvBZnDZku+cRfY6jkt2kqzlXK4rOCkIykF+kAFjCtRnS7KjEs6m9KFZlfEVf
 U0tQ==
X-Received: by 10.14.218.8 with SMTP id j8mr5371752eep.129.1374051898683; Wed,
 17 Jul 2013 02:04:58 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Wed, 17 Jul 2013 02:04:18 -0700 (PDT)
In-Reply-To: <837ggp3kcb.fsf@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
 <837ggp3kcb.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 17 Jul 2013 11:04:18 +0200
Message-ID: <CAAeL0SQh0rEUCnxzy5LXywQGxipK=M2HwqOB==A=R6A4Lm6f3g@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
Cc: 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, Jul 17, 2013 at 6:02 AM, Eli Zaretskii <eliz@HIDDEN> wrote:

> Then I guess we have no clear idea what we are talking about.

No, but even if not always manitests itself in the same way, the
slowdown is quite real. I've had to remove column-marker-1 from my
hook or wait 30+ seconds to load big C files...




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 04:02:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 17 00:02:17 2013
Received: from localhost ([127.0.0.1]:59651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzIwS-0005jP-SW
	for submit <at> debbugs.gnu.org; Wed, 17 Jul 2013 00:02:17 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:34844)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1UzIwP-0005j3-Qz
 for 14886 <at> debbugs.gnu.org; Wed, 17 Jul 2013 00:02:15 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0MQ200J00B3OPP00@HIDDEN> for 14886 <at> debbugs.gnu.org;
 Wed, 17 Jul 2013 07:02:07 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0MQ200J2XB7IJC90@HIDDEN>;
 Wed, 17 Jul 2013 07:02:06 +0300 (IDT)
Date: Wed, 17 Jul 2013 07:02:12 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown
 calling	font-lock-fontify-buffer from a hook
In-reply-to: <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Juanma Barranquero <lekktu@HIDDEN>
Message-id: <837ggp3kcb.fsf@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
 <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 14886
Cc: 14886 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Juanma Barranquero <lekktu@HIDDEN>
> Date: Wed, 17 Jul 2013 05:05:27 +0200
> 
> Running your test from the command line
> 
>   emacs.exe -Q -f global-font-lock-mode src\xdisp.c --eval "(let
> ((c-standard-font-lock-fontify- region-function
> 'font-lock-default-fontify-region)) (font-lock-fontify-buffer))" -f
> kill-emacs
> 
> I get quite different times:
> 
>  - 24.3, -O0 --enable-checking   ~ 1m 1s.
>  - trunk, -O0 --enable-checking=yes,glyph   ~ 1m 40s.
>  - trunk, -O2 --enable-checking=yes (no glyph)   ~ 32s.

Then I guess we have no clear idea what we are talking about.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.

Message received at 14886 <at> debbugs.gnu.org:


Received: (at 14886) by debbugs.gnu.org; 17 Jul 2013 03:06:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 16 23:06:16 2013
Received: from localhost ([127.0.0.1]:59600 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzI4G-0003qp-CT
	for submit <at> debbugs.gnu.org; Tue, 16 Jul 2013 23:06:16 -0400
Received: from mail-ea0-f171.google.com ([209.85.215.171]:33112)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1UzI4D-0003qb-ML
 for 14886 <at> debbugs.gnu.org; Tue, 16 Jul 2013 23:06:14 -0400
Received: by mail-ea0-f171.google.com with SMTP id m14so748744eaj.30
 for <14886 <at> debbugs.gnu.org>; Tue, 16 Jul 2013 20:06:07 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :content-type; bh=F+2PyJZhjkufoJGtherMXpNCaLhJyBKbNnc/7kr0QdU=;
 b=0F2to75jVSyM0FjtVCK+frCwORcil7pZB1fOVbGMIySdk13xxmqxwVxo1EepQOs/Rb
 R8vATs6/e7PqXDFfW/hIr2EF6ohI9PzHTdeFfmuaaLT25n/KhX2bjITzX3PfAOI5W+B2
 fhj1TV0yYE7MkdmU0jnqn2Y4uSKDI/wHYyEYW8yIbIdW+jDeaX0hGWXvw4wWMWX2fEX2
 45mJK2i+3uMC2QFkv7ZxR/TJs1/LPCjF+A3vkcr/U4FXC20iZYPzBhqAgfsCDGmlOCLM
 YqJBb5AjRnx6Xd1J35gGMOoukxpW1aaEBGA6mgy6h+lJ25+DEjqC6d9id3iUw51Q+4GS
 ev4w==
X-Received: by 10.15.76.71 with SMTP id m47mr4151780eey.70.1374030367875; Tue,
 16 Jul 2013 20:06:07 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Tue, 16 Jul 2013 20:05:27 -0700 (PDT)
In-Reply-To: <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
 <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 17 Jul 2013 05:05:27 +0200
Message-ID: <CAAeL0SRH9-VVgqQtHOOB=EEO-uqcqD7N9P8QHY=v++W02502jg@HIDDEN>
Subject: Re: bug#14886: Fwd: A significant slowdown calling
 font-lock-fontify-buffer from a hook
To: 14886 <at> debbugs.gnu.org
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14886
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Running your test from the command line

  emacs.exe -Q -f global-font-lock-mode src\xdisp.c --eval "(let
((c-standard-font-lock-fontify- region-function
'font-lock-default-fontify-region)) (font-lock-fontify-buffer))" -f
kill-emacs

I get quite different times:

 - 24.3, -O0 --enable-checking   ~ 1m 1s.
 - trunk, -O0 --enable-checking=yes,glyph   ~ 1m 40s.
 - trunk, -O2 --enable-checking=yes (no glyph)   ~ 32s.

   J




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.
Changed bug title to 'Slowdown on font-lock-fontify-buffer' from 'Fwd: A significant slowdown calling font-lock-fontify-buffer from a hook' Request was from Juanma Barranquero <lekktu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jul 2013 23:04:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 16 19:04:25 2013
Received: from localhost ([127.0.0.1]:59265 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UzEIC-0002v4-PV
	for submit <at> debbugs.gnu.org; Tue, 16 Jul 2013 19:04:25 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48177)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <lekktu@HIDDEN>) id 1UzEIA-0002uf-7L
 for submit <at> debbugs.gnu.org; Tue, 16 Jul 2013 19:04:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lekktu@HIDDEN>) id 1UzEI4-00073D-1N
 for submit <at> debbugs.gnu.org; Tue, 16 Jul 2013 19:04:16 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-101.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID,USER_IN_WHITELIST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47140)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lekktu@HIDDEN>) id 1UzEI3-000739-UN
 for submit <at> debbugs.gnu.org; Tue, 16 Jul 2013 19:04:15 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49899)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lekktu@HIDDEN>) id 1UzEI3-000276-2Q
 for bug-gnu-emacs@HIDDEN; Tue, 16 Jul 2013 19:04:15 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lekktu@HIDDEN>) id 1UzEI2-00072v-8q
 for bug-gnu-emacs@HIDDEN; Tue, 16 Jul 2013 19:04:14 -0400
Received: from mail-ea0-x22d.google.com ([2a00:1450:4013:c01::22d]:58394)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lekktu@HIDDEN>) id 1UzEI2-00072o-27
 for bug-gnu-emacs@HIDDEN; Tue, 16 Jul 2013 19:04:14 -0400
Received: by mail-ea0-f173.google.com with SMTP id g15so681513eak.4
 for <bug-gnu-emacs@HIDDEN>; Tue, 16 Jul 2013 16:04:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:from:date:message-id:subject:to
 :content-type; bh=OHQz3aZCKJsP7HXbxYYxlN6nOaDZThgwxpSfVzegWN0=;
 b=XP1mGrbsx5r/LOPE/b0Y3iOR9NDp9JCKFn99OJZRbaRYVoCNWPAs0sDsAAwybCbd+Q
 VVosfdykz4rAPzAU+fyCrKiz13Z7xJQpddlBR8D2pDbq4DUnP4081x7wUmYUhIiipi4z
 mCz6bi7dZcrPh4WUYpWWBscXIMe88omftfHpO52YdErybO0KtG4y+ObnAWpGQwfJisN0
 JawlgfhPsYAq1eL9BqPgLJM3yrp6e1umbf4V9jToGEW2YdvbPrPL/YZXqGBoIj4Zvs5C
 cZ+3BUEg4WQP8Bfct+nWZiGQRxbRincgPZ1XAHMcLQLJImlN0JTbT4RFKTsGdzKzy2lm
 ObHw==
X-Received: by 10.14.218.8 with SMTP id j8mr3553448eep.129.1374015852814; Tue,
 16 Jul 2013 16:04:12 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.14.142.4 with HTTP; Tue, 16 Jul 2013 16:03:32 -0700 (PDT)
In-Reply-To: <83ehay2vgw.fsf@HIDDEN>
References: <CAAeL0SSqSShXtsnqfkiF3H9n+OxYwuJ4yi6ci=wwfdnb8JpqcQ@HIDDEN>
 <83ip0a2xlb.fsf@HIDDEN>
 <CAAeL0SQXebErPFigy5q03fPprJN+g6C=itt4as8vJ7JGMMDL7Q@HIDDEN>
 <83ehay2vgw.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Wed, 17 Jul 2013 01:03:32 +0200
Message-ID: <CAAeL0SRX7Eq0Uv+ZhsMvWzWbgvO+Zj6znos4UfsK+rBd4-RWfw@HIDDEN>
Subject: Fwd: A significant slowdown calling font-lock-fontify-buffer from a
 hook
To: Bug-Gnu-Emacs <bug-gnu-emacs@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Package: emacs
Version: 24.3.50
X-Debbugs-Cc: eliz@HIDDEN


Filed.


---------- Forwarded message ----------
From: Eli Zaretskii <eliz@HIDDEN>
Date: Tue, Jul 16, 2013 at 8:47 PM
Subject: Re: A significant slowdown calling font-lock-fontify-buffer from a hook
To: Juanma Barranquero <lekktu@HIDDEN>
Cc: emacs-devel@HIDDEN


> From: Juanma Barranquero <lekktu@HIDDEN>
> Date: Tue, 16 Jul 2013 20:26:56 +0200
> Cc: Emacs developers <emacs-devel@HIDDEN>
>
> > Is the "calling from a hook" an important part of this issue?
>
> Doing
>
>   emacs -Q src/xdisp.c
>   M-x font-lock-fontify-buffer <RET>
>
> I don't see the slowdown.

First, you need to turn off global-font-lock-mode before visiting
xdisp.c.  Second, if you do turn off global-font-lock-mode, invoking
font-lock-fontify-buffer will fail in Emacs 24.3.  You need to do
something like this instead:

  M-: (let ((c-standard-font-lock-fontify-region-function
'font-lock-default-fontify-region)) (font-lock-fontify-buffer)) RET

If I do this in Emacs 24.3 and in the current trunk, I do see a
significant slowdown: it takes 18 sec with 24.3, and 72 sec with the
current trunk.

So I think the invocation from hook is not a factor here, which is a
Good Thing, because debugging this will be much simpler ;-)




Acknowledgement sent to Juanma Barranquero <lekktu@HIDDEN>:
New bug report received and forwarded. Copy sent to eliz@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to eliz@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#14886; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.